System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.CollectionBase To be added

A collection of discovery references. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` To be added

  Adds a to the .

  The position where the was inserted in the .

  The to add to the . 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Determines whether the contains a specific .

  true if the contains the ; otherwise, false.

  The to locate within the . 1.0.5000.0 2.0.0.0
- Property
  System.Web.Services.Discovery.DiscoveryReference `` To be added: an object of type 'int' To be added To be added: an object of type 'DiscoveryReference' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Removes a from the .

  The to remove from the . 1.0.5000.0 2.0.0.0